%define rev 4

Name:           pulseaudio-equalizer
Version:        2.7
Release:        %mkrel 1
Summary:        A 15 Bands Equalizer for PulseAudio
Group:          Sound
License:        GPLv3+
URL:            https://code.launchpad.net/~psyke83/+junk/%{name}
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.1
Source2:        %{name}-gtk.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch

BuildRequires:  desktop-file-utils

Requires:       pygtk2.0
Requires:       ladspa
Requires:	gnome-icon-theme
Requires:       pulseaudio-utils
Patch0:         %{name}-%{version}-force-default-persistence-value.patch
Patch1:         %{name}-%{version}-remove-preamp.patch
Patch2:         %{name}-%{version}-window-icon.patch
Patch3:         %{name}-%{version}-do-not-crash-on-missing-preset.patch
Patch4:         pulseaudio-equalizer-2.7-fix-missing-config-dir.patch
Patch5:         pulseaudio-equalizer-2.7-get-cur-volume-fix.patch

%description
PulseAudio Equalizer is a 15 bands system wide equalizer, that means
any application that is using PulseAudio, will benefit from the sound
improvement.


%prep
%setup -q
cp debian/copyright COPYING
cp debian/changelog ChangeLog
sed -i 's|gnome-volume-control|multimedia-volume-control|g' usr/share/applications/pulseaudio-equalizer.desktop
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%install
mkdir -p $RPM_BUILD_ROOT/usr
cp -rfp usr $RPM_BUILD_ROOT
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}-gtk.1

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%files
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-gtk.1.*


%changelog
* Mon Oct 03 2016 adrianomorselli <adrianomorselli> 2.7-1uplos2016
- rebuild

* Mon Jan 04 2016 bb <bb> 2.7-1pclos2016
- import from feddy
